Package com.io7m.idstore.protocol.admin.cb

# Record Class IdA1AdminOrdering

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.admin.cb.IdA1AdminOrdering

Record Components:
  `fieldColumns` - The column orders.

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`

public record IdA1AdminOrdering(com.io7m.cedarbridge.runtime.api.CBList<IdA1AdminColumnOrdering> fieldColumns) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType
A set of column ordering specs.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdA1AdminOrdering(com.io7m.cedarbridge.runtime.api.CBList<IdA1AdminColumnOrdering> fieldColumns)`
  Creates an instance of a `IdA1AdminOrdering` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdA1AdminOrdering`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type IdA1AdminOrdering.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBList<IdA1AdminColumnOrdering>`
  `fieldColumns()`
  Returns the value of the `fieldColumns` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1AdminOrdering $x)`
  Serialize a value of type IdA1AdminOrdering.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdA1AdminOrdering

    public IdA1AdminOrdering(com.io7m.cedarbridge.runtime.api.CBList<IdA1AdminColumnOrdering> fieldColumns)
    Creates an instance of a `IdA1AdminOrdering` record class.
    Parameters:
      `fieldColumns` - the value for the `fieldColumns` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1AdminOrdering $x) throws IOException
    Serialize a value of type IdA1AdminOrdering.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static IdA1AdminOrdering deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type IdA1AdminOrdering.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type IdA1AdminOrdering.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldColumns

    public com.io7m.cedarbridge.runtime.api.CBList<IdA1AdminColumnOrdering> fieldColumns()
    Returns the value of the `fieldColumns` record component.
    Returns:
      the value of the `fieldColumns` record component